OneBasket
PaymentsWorldpayPayment intents

Create a zero amount payment intent

POST
/worldpay/createzeroamountpaymentintent

Authorization

apiKey bearerAuth
x-api-key<token>

Base64-encoded store identifier

In: header

AuthorizationBearer <token>

JWT containing the contact identifier in the 'sub' claim

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/worldpay/createzeroamountpaymentintent" \  -H "Content-Type: application/json" \  -d '{    "billingStreetLine1": "string",    "billingCity": "string",    "billingCountryCode": "string",    "billingPostalCode": "string",    "billingFirstName": "string",    "billingLastName": "string",    "emailAddress": "string",    "phoneNumber": "string"  }'
Empty